Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Enter your token in the format token TOKEN

Headers

X-PhraseApp-OTP
string

Two-Factor-Authentication token (optional)

If-Modified-Since
string

Last modified condition, see Conditional GET requests / HTTP Caching (optional)

If-None-Match
string

ETag condition, see Conditional GET requests / HTTP Caching (optional)

Path Parameters

project_id
string
required

Project ID

Query Parameters

page
integer

Page number

per_page
integer

Limit on the number of objects to be returned, between 1 and 100. 25 by default

branch
string

specify the branch to use

key_id
string

Filter translations to those attached to the key identified by this code. Equivalent to calling GET /projects/{project_id}/keys/{key_id}/translations.

locale_id
string

Filter translations to those for the given locale (locale code or id). Equivalent to calling GET /projects/{project_id}/locales/{locale_id}/translations.

sort
string

Sort criteria. Can be one of: key_name, created_at, updated_at.

order
string

Order direction. Can be one of: asc, desc.

q
string

Specify a query to find translations by content (including wildcards).

Note: Search is limited to 10000 results and may not include recently updated data (depending on the project size).

The following qualifiers are supported in the query:

  • id:translation_id,... for queries on a comma-separated list of ids
  • tags:XYZ for tags on the translation
  • unverified:{true|false} for verification status
  • excluded:{true|false} for exclusion status
  • updated_at:{>=|<=}2013-02-21T00:00:00Z for date range queries
  • reviewed_after:2013-02-21T00:00:00Z for fetching translations that were reviewed after the given timestamp

Find more examples here.

Response

OK

id
string
content
string
unverified
boolean
excluded
boolean
plural_suffix
string
key
key_preview · object
Example:

null

locale
locale_preview · object
Example:
placeholders
string[]
state
string
created_at
string<date-time>
updated_at
string<date-time>
linked_translation
translation_parent · object
Example: